org.apache.commons.io.file

## Class NoopPathVisitor

- java.lang.Object
- - java.nio.file.SimpleFileVisitor<Path>
  - - org.apache.commons.io.file.SimplePathVisitor
    - - org.apache.commons.io.file.NoopPathVisitor

- All Implemented Interfaces:
    FileVisitor<Path>, PathVisitor

      public class NoopPathVisitor
      extends SimplePathVisitor

  A noop path visitor.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.commons.io.file.SimplePathVisitor

      `SimplePathVisitor.AbstractBuilder<T,B extends AbstractSupplier<T,B>>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NoopPathVisitor` | `INSTANCE` The singleton instance.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoopPathVisitor()` Constructs a new instance.
    `NoopPathVisitor(IOBiFunction<Path,IOException,FileVisitResult> visitFileFailed)` Constructs a new instance.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.io.file.SimplePathVisitor

      `visitFileFailed`

    - ### Methods inherited from class java.nio.file.SimpleFileVisitor

      `postVisitDirectory, preVisitDirectory, visitFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.nio.file.FileVisitor

      `postVisitDirectory, preVisitDirectory, visitFile`

- - ### Field Detail

    - #### INSTANCE

          public static final NoopPathVisitor INSTANCE

      The singleton instance.

  - ### Constructor Detail

    - #### NoopPathVisitor

          public NoopPathVisitor()

      Constructs a new instance.

    - #### NoopPathVisitor

          public NoopPathVisitor(IOBiFunction<Path,IOException,FileVisitResult> visitFileFailed)

      Constructs a new instance.
      Parameters:
        `visitFileFailed` - Called on `SimplePathVisitor.visitFileFailed(Path, IOException)`.